/*  
  Aufgabe.java

  11.03.2001: tk, sourcecode released under the GPL.

  Copyright (c)2001 by SoPra2001 Gruppe 14, University of Dortmund
  mail for contact: thomas.kindler@gmx.de

  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, or (at your 
  option) any later version. Please read the included "copying.txt" file,
  or the full License at http://www.gnu.org/copyleft for more details.
*/


package logic;
import java.util.*;
import java.io.*;

public class Aufgabe implements StatusConst, Serializable {
  private int      dauer;
  private int      status;
  private String   name;
  private int      personenZahl;
  private Vector   taetigkeiten;

  public Aufgabe( String name, int dauer, int personenZahl )
  {
    this.name         = name;
    this.dauer        = dauer;
    this.personenZahl = personenZahl;
    this.status       = GEPLANT;
    this.taetigkeiten = new Vector();
  }

  public int getDauer(){
    return dauer;
  }

  public void setDauer(int dauer){
    this.dauer = dauer;
  }

  public int getStatus(){
    return status;
  }

  public void setStatus( int status ){
    this.status = status;
  }


  public String getName(){
    return name;
  }

  public void setName(String name){
    this.name = name;
  }

  public int getPersonenZahl(){
    return personenZahl;
  }

  public void setPersonenZahl(int personenZahl){
    this.personenZahl = personenZahl;
  }

  public int getTaetigkeitenCount() {
    return taetigkeiten.size();
  }

  public String getTaetigkeitAt(int index) {
    return (String)taetigkeiten.get(index);
  }

  public void addTaetigkeit(String taetigkeit) {
    Iterator iter;
    boolean  found = false;
    iter = taetigkeiten.iterator();
    while(iter.hasNext()) {
      String s = (String)iter.next();
      if (s.equalsIgnoreCase(taetigkeit))
        found = true;
    }

    if (!found)
      taetigkeiten.add(taetigkeit);
  }






}
